from Products.ParsedXML.NodePath import registry
from WidgetPathScheme import WidgetPathScheme
import WidgetRegistry
import EditorService

def initialize(context):
    context.registerClass(
        WidgetRegistry.WidgetRegistry,
        permission = "Add XMLWidget Registries",
        constructors = (WidgetRegistry.manage_addWidgetRegistryForm,
                        WidgetRegistry.manage_addWidgetRegistry),
        )
    
    context.registerClass(
        EditorService.EditorService,
        permission = "Add XMLWidget Registries",
        constructors = (EditorService.manage_addEditorServiceForm,
                        EditorService.manage_addEditorService),
        )

    registry.register_scheme(WidgetPathScheme('widget'))
